<template>
	<view :class="['main-theme-' + theme,props.class]">
		<slot />
	</view>
</template>

<script setup>
	import { useAppStore } from "@/store/app";
	import { ref } from "vue";
	
	const props = defineProps({
		class: {
			type: String,
			default: ""
		}
	});
	
	const appStore    = useAppStore();
	const theme       = appStore.getTheme();
	
</script>

<style lang="scss" scoped>
	
</style>